%define module_name Alien-spatialite
# BEGIN SourceDeps(oneline):
BuildRequires: libspatialite-devel perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/SearchDep.pm) perl(Alien/Build/Plugin/Cleanse/BuildDir.pm) perl(Alien/Build/Plugin/PkgConfig/PPWrapper.pm) perl(Alien/MSYS.pm) perl(Alien/freexl.pm) perl(Alien/geos/af.pm) perl(Alien/proj.pm) perl(Alien/sqlite.pm) perl(Archive/Tar.pm) perl(Env/ShellWords.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/CheckLib.pm) perl(File/Find/Rule.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(IO/Zlib.pm) perl(Mojo/DOM58.pm) perl(Mozilla/CA.pm) perl(Net/SSLeay.pm) perl(Path/Tiny.pm) perl(PkgConfig.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(URI.pm) perl(URI/Escape.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.09
Release: alt2
Summary: Alien package for the Spatialite library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz

%description
This Alien package is probably most useful for compilation of other modules, e.g. the Geo::GDAL::FFI manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.09-alt2
- rebuild with perl 5.38

* Tue Apr 25 2023 Igor Vlasenko <viy@altlinux.org> 1.09-alt1
- updated by package builder

* Tue Apr 19 2022 Igor Vlasenko <viy@altlinux.org> 1.08-alt1
- updated by package builder

* Fri Mar 25 2022 Igor Vlasenko <viy@altlinux.org> 1.05-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.04-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.04-alt2
- rebuild with perl 5.30

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- initial import by package builder

